<template>
  <div>
    <v-expansion-panels flat accordion focusable popout>
      <v-expansion-panel
        v-for="matiere in matieres"
        :key="matiere.id"
        @click="selectMatiere(matiere)"
      >
        <v-expansion-panel-header>
          <div class="font-semibold text-xl">
            {{ matiere.nom }}
          </div>
        </v-expansion-panel-header>
        <v-expansion-panel-content>
          <div v-if="savoirs.length === 0">
            <div class="italic text-sm">
              Pas de savoirs correspondants dans le bulletin
            </div>
          </div>
          <div v-for="savoir in savoirs" :key="savoir.id">
            <div
              v-ripple
              class="select-none cursor-pointer p-3 hover:bg-gray-100"
              @click="selectSavoir(savoir)"
            >
              <div class="flex flex-row justify-between">
                <div>{{ savoir.nom }}</div>
              </div>
            </div>
          </div>
        </v-expansion-panel-content>
      </v-expansion-panel>
    </v-expansion-panels>
  </div>
</template>

<script>
export default {
  created() {
/*     this.$store.dispatch("bindMatieres", this.classe);
    this.$store.dispatch("bindSavoirs", this.classe); */
  },
  data() {
    return {
      savoirs: [],
    };
  },
  methods: {
    selectMatiere(matiere) {
      this.savoirs = this.$store.getters.savoirsByBulletinAndMatiere(
        this.bulletin,
        matiere
      );
    },
    selectSavoir(savoir) {
      this.$router.push({ path: `savoir/${savoir.id}/evaluations`, append: true });
    },
  },
  computed: {
    matieres() {
      return this.$store.state.matieres;
    },
    classe() {
      return this.$store.getters.getOneClasse(this.$route.params.classeid);
    },
    bulletin() {
      return this.$store.getters.getOneBulletin(this.$route.params.bulletinid);
    },
  },
};
</script>


